Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.shpapi
Class SHP2WKS

    java.lang.Object
      org.deegree.io.shpapi.SHP2WKS

    public class SHP2WKS

extends Object

the class SHP2WKS transforms a polygon structure read from a shape-file
into a WKSLinearPolygon specified by the sf-specifications

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`SHP2WKS()`

Method Summary
`Point[]` | `transformMultiPoint(CoordinateSystem srs, SHPMultiPoint shpmultipoint)` method: Point[] transformMultiPoint(CS_CoordinateSystem srs, SHPMultiPoint shpmultipoint)) transforms a SHPMultiPoint to a WKSGeometry gets a multipoint that should be transformed
`Point` | `transformPoint(CoordinateSystem crs, SHPPoint shppoint)` method: Point transformPoint(CS_CoordinateSystem srs, SHPPoint shppoint)) transforms a SHPPoint to a WKSGeometry gets a point that should be transformed
`Surface[]` | `transformPolygon(CoordinateSystem crs, SHPPolygon shppolygon)` transforms the SHPPolygon to a WKSGeometry gets the polygon that should be transformed
`Curve[]` | `transformPolyLine(CoordinateSystem crs, SHPPolyLine shppolyline)` method: Point[][] transformPolyLine(CS_CoordinateSystem srs, SHPPolyLine shppolyline)) transforms a SHPPolyLine to a WKSGeometry gets a polyline that should be transformed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SHP2WKS

    public SHP2WKS()

Method Detail

### transformPoint

    public Point transformPoint(CoordinateSystem crs,
                                SHPPoint shppoint)

  method: Point transformPoint(CS_CoordinateSystem srs,
  SHPPoint shppoint))
  transforms a SHPPoint to a WKSGeometry
  gets a point that should be transformed

  Parameters:
    `crs` -
    `shppoint` -
  Returns:
    the transformed point

### transformMultiPoint

    public Point[] transformMultiPoint(CoordinateSystem srs,
                                       SHPMultiPoint shpmultipoint)

  method: Point[] transformMultiPoint(CS_CoordinateSystem srs,
  SHPMultiPoint shpmultipoint))
  transforms a SHPMultiPoint to a WKSGeometry
  gets a multipoint that should be transformed

  Parameters:
    `srs` -
    `shpmultipoint` -
  Returns:
    the transformed points

### transformPolyLine

    public Curve[] transformPolyLine(CoordinateSystem crs,
                                     SHPPolyLine shppolyline)

  method: Point[][] transformPolyLine(CS_CoordinateSystem srs,
  SHPPolyLine shppolyline))
  transforms a SHPPolyLine to a WKSGeometry
  gets a polyline that should be transformed

  Parameters:
    `crs` -
    `shppolyline` -
  Returns:
    the transformed line

### transformPolygon

    public Surface[] transformPolygon(CoordinateSystem crs,
                                      SHPPolygon shppolygon)

  transforms the SHPPolygon to a WKSGeometry
  gets the polygon that should be transformed

  Parameters:
    `crs` -
    `shppolygon` -
  Returns:
    the transformed polygon

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org